connectivity-api: connectivityqt::OpenvpnConnection Class Reference

connectivity-api

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes | Properties | List of all members
connectivityqt::OpenvpnConnection Class Reference

`#include <connectivityqt/openvpn-connection.h>`

Inheritance diagram for connectivityqt::OpenvpnConnection:
[legend]
Collaboration diagram for connectivityqt::OpenvpnConnection:
[legend]

## Classes
class | Priv

## Public Types
enum | ConnectionType { TLS, PASSWORD, PASSWORD_TLS, STATIC_KEY }
enum | DevType { TUN, TAP }
enum | Cipher { DEFAULT_CIPHER, DES_CBC, RC2_CBC, DES_EDE_CBC, DES_EDE3_CBC, DESX_CBC, RC2_40_CBC, CAST5_CBC, AES_128_CBC, AES_192_CBC, AES_256_CBC, CAMELLIA_128_CBC, CAMELLIA_192_CBC, CAMELLIA_256_CBC, SEED_CBC, AES_128_CBC_HMAC_SHA1, AES_256_CBC_HMAC_SHA1 }
enum | Auth { DEFAULT_AUTH, NONE, RSA_MD4, MD5, SHA1, SHA224, SHA256, SHA384, SHA512, RIPEMD160 }
enum | TlsType { SERVER, CLIENT }
enum | KeyDir { KEY_NONE, ZERO, ONE }
enum | ProxyType { NOT_REQUIRED, HTTP, SOCKS }
Public Types inherited from connectivityqt::VpnConnection
enum | Type { OPENVPN, PPTP }

## Public Slots
void | setCa (const QString &value)
void | setCert (const QString &value)
void | setCertPass (const QString &value)
void | setConnectionType (ConnectionType connectionType)
void | setKey (const QString &value)
void | setLocalIp (const QString &value)
void | setPassword (const QString &value)
void | setRemote (const QString &value)
void | setRemoteIp (const QString &value)
void | setStaticKey (const QString &value)
void | setStaticKeyDirection (KeyDir value)
void | setUsername (const QString &value)
void | setPort (int value)
void | setPortSet (bool value)
void | setRenegSeconds (int value)
void | setRenegSecondsSet (bool value)
void | setCompLzo (bool value)
void | setProtoTcp (bool value)
void | setDev (const QString &value)
void | setDevType (DevType value)
void | setDevTypeSet (bool value)
void | setTunnelMtu (int value)
void | setTunnelMtuSet (bool value)
void | setFragmentSize (int value)
void | setFragmentSizeSet (bool value)
void | setMssFix (bool value)
void | setRemoteRandom (bool value)
void | setCipher (Cipher value)
void | setKeysize (int value)
void | setKeysizeSet (bool value)
void | setAuth (Auth value)
void | setTlsRemote (const QString &value)
void | setRemoteCertTls (TlsType value)
void | setRemoteCertTlsSet (bool value)
void | setTa (const QString &value)
void | setTaDir (KeyDir value)
void | setTaSet (bool value)
void | setProxyType (ProxyType value)
void | setProxyServer (const QString &value)
void | setProxyPort (int value)
void | setProxyRetry (bool value)
void | setProxyUsername (const QString &value)
void | setProxyPassword (const QString &value)
Public Slots inherited from connectivityqt::VpnConnection
void | setId (const QString &id) const
void | setNeverDefault (bool neverDefault) const
void | setActive (bool active) const
void | updateSecrets () const

## Signals
void | caChanged (const QString &value)
void | certChanged (const QString &value)
void | certPassChanged (const QString &value)
void | connectionTypeChanged (ConnectionType connectionType)
void | keyChanged (const QString &value)
void | localIpChanged (const QString &value)
void | passwordChanged (const QString &value)
void | remoteChanged (const QString &value)
void | remoteIpChanged (const QString &value)
void | staticKeyChanged (const QString &value)
void | staticKeyDirectionChanged (KeyDir value)
void | usernameChanged (const QString &value)
void | portChanged (int value)
void | portSetChanged (bool value)
void | renegSecondsChanged (int value)
void | renegSecondsSetChanged (bool value)
void | compLzoChanged (bool value)
void | protoTcpChanged (bool value)
void | devChanged (const QString &value)
void | devTypeChanged (DevType value)
void | devTypeSetChanged (bool value)
void | tunnelMtuChanged (int value)
void | tunnelMtuSetChanged (bool value)
void | fragmentSizeChanged (int value)
void | fragmentSizeSetChanged (bool value)
void | mssFixChanged (bool value)
void | remoteRandomChanged (bool value)
void | cipherChanged (Cipher value)
void | keysizeChanged (int value)
void | keysizeSetChanged (bool value)
void | authChanged (Auth value)
void | tlsRemoteChanged (const QString &value)
void | remoteCertTlsChanged (TlsType value)
void | remoteCertTlsSetChanged (bool value)
void | taChanged (const QString &value)
void | taDirChanged (KeyDir value)
void | taSetChanged (bool value)
void | proxyTypeChanged (ProxyType value)
void | proxyServerChanged (const QString &value)
void | proxyPortChanged (int value)
void | proxyRetryChanged (bool value)
void | proxyUsernameChanged (const QString &value)
void | proxyPasswordChanged (const QString &value)
Signals inherited from connectivityqt::VpnConnection
void | idChanged (const QString &id)
void | neverDefaultChanged (bool neverDefault)
void | activeChanged (bool active)
void | activatableChanged (bool active)
void | remove () const

## Public Member Functions
| UNITY_DEFINES_PTRS (OpenvpnConnection)
| OpenvpnConnection (const QDBusObjectPath &path, const QDBusConnection &connection)
virtual | ~OpenvpnConnection ()
Type | type () const override
QString | ca () const
QString | cert () const
QString | certPass () const
ConnectionType | connectionType () const
QString | key () const
QString | localIp () const
QString | password () const
QString | remote () const
QString | remoteIp () const
QString | staticKey () const
KeyDir | staticKeyDirection () const
QString | username () const
int | port () const
bool | portSet () const
int | renegSeconds () const
bool | renegSecondsSet () const
bool | compLzo () const
bool | protoTcp () const
QString | dev () const
DevType | devType () const
bool | devTypeSet () const
int | tunnelMtu () const
bool | tunnelMtuSet () const
int | fragmentSize () const
bool | fragmentSizeSet () const
bool | mssFix () const
bool | remoteRandom () const
Cipher | cipher () const
int | keysize () const
bool | keysizeSet () const
Auth | auth () const
QString | tlsRemote () const
TlsType | remoteCertTls () const
bool | remoteCertTlsSet () const
QString | ta () const
KeyDir | taDir () const
bool | taSet () const
ProxyType | proxyType () const
QString | proxyServer () const
int | proxyPort () const
bool | proxyRetry () const
QString | proxyUsername () const
QString | proxyPassword () const
Public Member Functions inherited from connectivityqt::VpnConnection
| UNITY_DEFINES_PTRS (VpnConnection)
| VpnConnection (const QDBusObjectPath &path, const QDBusConnection &connection, QObject *parent=0)
virtual | ~VpnConnection ()
QDBusObjectPath | path () const
QString | id () const
bool | neverDefault () const
bool | active () const
bool | activatable () const

## Protected Attributes
std::shared_ptr< Priv > | d
Protected Attributes inherited from connectivityqt::VpnConnection
std::shared_ptr< Priv > | d

## Properties
QString | ca
QString | cert
QString | certPass
ConnectionType | connectionType
QString | key
QString | localIp
QString | password
QString | remote
QString | remoteIp
QString | staticKey
KeyDir | staticKeyDirection
QString | username
int | port
bool | portSet
int | renegSeconds
bool | renegSecondsSet
bool | compLzo
bool | protoTcp
QString | dev
DevType | devType
bool | devTypeSet
int | tunnelMtu
bool | tunnelMtuSet
int | fragmentSize
bool | fragmentSizeSet
bool | mssFix
bool | remoteRandom
Cipher | cipher
int | keysize
bool | keysizeSet
Auth | auth
QString | tlsRemote
TlsType | remoteCertTls
bool | remoteCertTlsSet
QString | ta
KeyDir | taDir
bool | taSet
ProxyType | proxyType
QString | proxyServer
int | proxyPort
bool | proxyRetry
QString | proxyUsername
QString | proxyPassword
Properties inherited from connectivityqt::VpnConnection
QDBusObjectPath | path
QString | id
bool | neverDefault
bool | active
bool | activatable
Type | type

## Member Enumeration Documentation

## ◆ Auth

enum connectivityqt::OpenvpnConnection::Auth

Enumerator
DEFAULT_AUTH |
NONE |
RSA_MD4 |
MD5 |
SHA1 |
SHA224 |
SHA256 |
SHA384 |
SHA512 |
RIPEMD160 |

## ◆ Cipher

enum connectivityqt::OpenvpnConnection::Cipher

Enumerator
DEFAULT_CIPHER |
DES_CBC |
RC2_CBC |
DES_EDE_CBC |
DES_EDE3_CBC |
DESX_CBC |
RC2_40_CBC |
CAST5_CBC |
AES_128_CBC |
AES_192_CBC |
AES_256_CBC |
CAMELLIA_128_CBC |
CAMELLIA_192_CBC |
CAMELLIA_256_CBC |
SEED_CBC |
AES_128_CBC_HMAC_SHA1 |
AES_256_CBC_HMAC_SHA1 |

## ◆ ConnectionType

enum connectivityqt::OpenvpnConnection::ConnectionType

Enumerator
TLS |
PASSWORD |
PASSWORD_TLS |
STATIC_KEY |

## ◆ DevType

enum connectivityqt::OpenvpnConnection::DevType

Enumerator
TUN |
TAP |

## ◆ KeyDir

enum connectivityqt::OpenvpnConnection::KeyDir

Enumerator
KEY_NONE |
ZERO |
ONE |

## ◆ ProxyType

enum connectivityqt::OpenvpnConnection::ProxyType

Enumerator
NOT_REQUIRED |
HTTP |
SOCKS |

## ◆ TlsType

enum connectivityqt::OpenvpnConnection::TlsType

Enumerator
SERVER |
CLIENT |

## Constructor & Destructor Documentation

## ◆ OpenvpnConnection()

connectivityqt::OpenvpnConnection::OpenvpnConnection | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection
| ) |  |

## ◆ ~OpenvpnConnection()

connectivityqt::OpenvpnConnection::~OpenvpnConnection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ auth()

Auth connectivityqt::OpenvpnConnection::auth | ( |  | ) | const

## ◆ authChanged

void connectivityqt::OpenvpnConnection::authChanged | ( | Auth | value | ) |
| signal

## ◆ ca()

QString connectivityqt::OpenvpnConnection::ca | ( |  | ) | const

## ◆ caChanged

void connectivityqt::OpenvpnConnection::caChanged | ( | const QString & | value | ) |
| signal

## ◆ cert()

QString connectivityqt::OpenvpnConnection::cert | ( |  | ) | const

## ◆ certChanged

void connectivityqt::OpenvpnConnection::certChanged | ( | const QString & | value | ) |
| signal

## ◆ certPass()

QString connectivityqt::OpenvpnConnection::certPass | ( |  | ) | const

## ◆ certPassChanged

void connectivityqt::OpenvpnConnection::certPassChanged | ( | const QString & | value | ) |
| signal

## ◆ cipher()

Cipher connectivityqt::OpenvpnConnection::cipher | ( |  | ) | const

## ◆ cipherChanged

void connectivityqt::OpenvpnConnection::cipherChanged | ( | Cipher | value | ) |
| signal

## ◆ compLzo()

bool connectivityqt::OpenvpnConnection::compLzo | ( |  | ) | const

## ◆ compLzoChanged

void connectivityqt::OpenvpnConnection::compLzoChanged | ( | bool | value | ) |
| signal

## ◆ connectionType()

ConnectionType connectivityqt::OpenvpnConnection::connectionType | ( |  | ) | const

## ◆ connectionTypeChanged

void connectivityqt::OpenvpnConnection::connectionTypeChanged | ( | ConnectionType | connectionType | ) |
| signal

## ◆ dev()

QString connectivityqt::OpenvpnConnection::dev | ( |  | ) | const

## ◆ devChanged

void connectivityqt::OpenvpnConnection::devChanged | ( | const QString & | value | ) |
| signal

## ◆ devType()

DevType connectivityqt::OpenvpnConnection::devType | ( |  | ) | const

## ◆ devTypeChanged

void connectivityqt::OpenvpnConnection::devTypeChanged | ( | DevType | value | ) |
| signal

## ◆ devTypeSet()

bool connectivityqt::OpenvpnConnection::devTypeSet | ( |  | ) | const

## ◆ devTypeSetChanged

void connectivityqt::OpenvpnConnection::devTypeSetChanged | ( | bool | value | ) |
| signal

## ◆ fragmentSize()

int connectivityqt::OpenvpnConnection::fragmentSize | ( |  | ) | const

## ◆ fragmentSizeChanged

void connectivityqt::OpenvpnConnection::fragmentSizeChanged | ( | int | value | ) |
| signal

## ◆ fragmentSizeSet()

bool connectivityqt::OpenvpnConnection::fragmentSizeSet | ( |  | ) | const

## ◆ fragmentSizeSetChanged

void connectivityqt::OpenvpnConnection::fragmentSizeSetChanged | ( | bool | value | ) |
| signal

## ◆ key()

QString connectivityqt::OpenvpnConnection::key | ( |  | ) | const

## ◆ keyChanged

void connectivityqt::OpenvpnConnection::keyChanged | ( | const QString & | value | ) |
| signal

## ◆ keysize()

int connectivityqt::OpenvpnConnection::keysize | ( |  | ) | const

## ◆ keysizeChanged

void connectivityqt::OpenvpnConnection::keysizeChanged | ( | int | value | ) |
| signal

## ◆ keysizeSet()

bool connectivityqt::OpenvpnConnection::keysizeSet | ( |  | ) | const

## ◆ keysizeSetChanged

void connectivityqt::OpenvpnConnection::keysizeSetChanged | ( | bool | value | ) |
| signal

## ◆ localIp()

QString connectivityqt::OpenvpnConnection::localIp | ( |  | ) | const

## ◆ localIpChanged

void connectivityqt::OpenvpnConnection::localIpChanged | ( | const QString & | value | ) |
| signal

## ◆ mssFix()

bool connectivityqt::OpenvpnConnection::mssFix | ( |  | ) | const

## ◆ mssFixChanged

void connectivityqt::OpenvpnConnection::mssFixChanged | ( | bool | value | ) |
| signal

## ◆ password()

QString connectivityqt::OpenvpnConnection::password | ( |  | ) | const

## ◆ passwordChanged

void connectivityqt::OpenvpnConnection::passwordChanged | ( | const QString & | value | ) |
| signal

## ◆ port()

int connectivityqt::OpenvpnConnection::port | ( |  | ) | const

## ◆ portChanged

void connectivityqt::OpenvpnConnection::portChanged | ( | int | value | ) |
| signal

## ◆ portSet()

bool connectivityqt::OpenvpnConnection::portSet | ( |  | ) | const

## ◆ portSetChanged

void connectivityqt::OpenvpnConnection::portSetChanged | ( | bool | value | ) |
| signal

## ◆ protoTcp()

bool connectivityqt::OpenvpnConnection::protoTcp | ( |  | ) | const

## ◆ protoTcpChanged

void connectivityqt::OpenvpnConnection::protoTcpChanged | ( | bool | value | ) |
| signal

## ◆ proxyPassword()

QString connectivityqt::OpenvpnConnection::proxyPassword | ( |  | ) | const

## ◆ proxyPasswordChanged

void connectivityqt::OpenvpnConnection::proxyPasswordChanged | ( | const QString & | value | ) |
| signal

## ◆ proxyPort()

int connectivityqt::OpenvpnConnection::proxyPort | ( |  | ) | const

## ◆ proxyPortChanged

void connectivityqt::OpenvpnConnection::proxyPortChanged | ( | int | value | ) |
| signal

## ◆ proxyRetry()

bool connectivityqt::OpenvpnConnection::proxyRetry | ( |  | ) | const

## ◆ proxyRetryChanged

void connectivityqt::OpenvpnConnection::proxyRetryChanged | ( | bool | value | ) |
| signal

## ◆ proxyServer()

QString connectivityqt::OpenvpnConnection::proxyServer | ( |  | ) | const

## ◆ proxyServerChanged

void connectivityqt::OpenvpnConnection::proxyServerChanged | ( | const QString & | value | ) |
| signal

## ◆ proxyType()

ProxyType connectivityqt::OpenvpnConnection::proxyType | ( |  | ) | const

## ◆ proxyTypeChanged

void connectivityqt::OpenvpnConnection::proxyTypeChanged | ( | ProxyType | value | ) |
| signal

## ◆ proxyUsername()

QString connectivityqt::OpenvpnConnection::proxyUsername | ( |  | ) | const

## ◆ proxyUsernameChanged

void connectivityqt::OpenvpnConnection::proxyUsernameChanged | ( | const QString & | value | ) |
| signal

## ◆ remote()

QString connectivityqt::OpenvpnConnection::remote | ( |  | ) | const

## ◆ remoteCertTls()

TlsType connectivityqt::OpenvpnConnection::remoteCertTls | ( |  | ) | const

## ◆ remoteCertTlsChanged

void connectivityqt::OpenvpnConnection::remoteCertTlsChanged | ( | TlsType | value | ) |
| signal

## ◆ remoteCertTlsSet()

bool connectivityqt::OpenvpnConnection::remoteCertTlsSet | ( |  | ) | const

## ◆ remoteCertTlsSetChanged

void connectivityqt::OpenvpnConnection::remoteCertTlsSetChanged | ( | bool | value | ) |
| signal

## ◆ remoteChanged

void connectivityqt::OpenvpnConnection::remoteChanged | ( | const QString & | value | ) |
| signal

## ◆ remoteIp()

QString connectivityqt::OpenvpnConnection::remoteIp | ( |  | ) | const

## ◆ remoteIpChanged

void connectivityqt::OpenvpnConnection::remoteIpChanged | ( | const QString & | value | ) |
| signal

## ◆ remoteRandom()

bool connectivityqt::OpenvpnConnection::remoteRandom | ( |  | ) | const

## ◆ remoteRandomChanged

void connectivityqt::OpenvpnConnection::remoteRandomChanged | ( | bool | value | ) |
| signal

## ◆ renegSeconds()

int connectivityqt::OpenvpnConnection::renegSeconds | ( |  | ) | const

## ◆ renegSecondsChanged

void connectivityqt::OpenvpnConnection::renegSecondsChanged | ( | int | value | ) |
| signal

## ◆ renegSecondsSet()

bool connectivityqt::OpenvpnConnection::renegSecondsSet | ( |  | ) | const

## ◆ renegSecondsSetChanged

void connectivityqt::OpenvpnConnection::renegSecondsSetChanged | ( | bool | value | ) |
| signal

## ◆ setAuth

void connectivityqt::OpenvpnConnection::setAuth | ( | Auth | value | ) |
| slot

## ◆ setCa

void connectivityqt::OpenvpnConnection::setCa | ( | const QString & | value | ) |
| slot

## ◆ setCert

void connectivityqt::OpenvpnConnection::setCert | ( | const QString & | value | ) |
| slot

## ◆ setCertPass

void connectivityqt::OpenvpnConnection::setCertPass | ( | const QString & | value | ) |
| slot

## ◆ setCipher

void connectivityqt::OpenvpnConnection::setCipher | ( | Cipher | value | ) |
| slot

## ◆ setCompLzo

void connectivityqt::OpenvpnConnection::setCompLzo | ( | bool | value | ) |
| slot

## ◆ setConnectionType

void connectivityqt::OpenvpnConnection::setConnectionType | ( | ConnectionType | connectionType | ) |
| slot

## ◆ setDev

void connectivityqt::OpenvpnConnection::setDev | ( | const QString & | value | ) |
| slot

## ◆ setDevType

void connectivityqt::OpenvpnConnection::setDevType | ( | DevType | value | ) |
| slot

## ◆ setDevTypeSet

void connectivityqt::OpenvpnConnection::setDevTypeSet | ( | bool | value | ) |
| slot

## ◆ setFragmentSize

void connectivityqt::OpenvpnConnection::setFragmentSize | ( | int | value | ) |
| slot

## ◆ setFragmentSizeSet

void connectivityqt::OpenvpnConnection::setFragmentSizeSet | ( | bool | value | ) |
| slot

## ◆ setKey

void connectivityqt::OpenvpnConnection::setKey | ( | const QString & | value | ) |
| slot

## ◆ setKeysize

void connectivityqt::OpenvpnConnection::setKeysize | ( | int | value | ) |
| slot

## ◆ setKeysizeSet

void connectivityqt::OpenvpnConnection::setKeysizeSet | ( | bool | value | ) |
| slot

## ◆ setLocalIp

void connectivityqt::OpenvpnConnection::setLocalIp | ( | const QString & | value | ) |
| slot

## ◆ setMssFix

void connectivityqt::OpenvpnConnection::setMssFix | ( | bool | value | ) |
| slot

## ◆ setPassword

void connectivityqt::OpenvpnConnection::setPassword | ( | const QString & | value | ) |
| slot

## ◆ setPort

void connectivityqt::OpenvpnConnection::setPort | ( | int | value | ) |
| slot

## ◆ setPortSet

void connectivityqt::OpenvpnConnection::setPortSet | ( | bool | value | ) |
| slot

## ◆ setProtoTcp

void connectivityqt::OpenvpnConnection::setProtoTcp | ( | bool | value | ) |
| slot

## ◆ setProxyPassword

void connectivityqt::OpenvpnConnection::setProxyPassword | ( | const QString & | value | ) |
| slot

## ◆ setProxyPort

void connectivityqt::OpenvpnConnection::setProxyPort | ( | int | value | ) |
| slot

## ◆ setProxyRetry

void connectivityqt::OpenvpnConnection::setProxyRetry | ( | bool | value | ) |
| slot

## ◆ setProxyServer

void connectivityqt::OpenvpnConnection::setProxyServer | ( | const QString & | value | ) |
| slot

## ◆ setProxyType

void connectivityqt::OpenvpnConnection::setProxyType | ( | ProxyType | value | ) |
| slot

## ◆ setProxyUsername

void connectivityqt::OpenvpnConnection::setProxyUsername | ( | const QString & | value | ) |
| slot

## ◆ setRemote

void connectivityqt::OpenvpnConnection::setRemote | ( | const QString & | value | ) |
| slot

## ◆ setRemoteCertTls

void connectivityqt::OpenvpnConnection::setRemoteCertTls | ( | TlsType | value | ) |
| slot

## ◆ setRemoteCertTlsSet

void connectivityqt::OpenvpnConnection::setRemoteCertTlsSet | ( | bool | value | ) |
| slot

## ◆ setRemoteIp

void connectivityqt::OpenvpnConnection::setRemoteIp | ( | const QString & | value | ) |
| slot

## ◆ setRemoteRandom

void connectivityqt::OpenvpnConnection::setRemoteRandom | ( | bool | value | ) |
| slot

## ◆ setRenegSeconds

void connectivityqt::OpenvpnConnection::setRenegSeconds | ( | int | value | ) |
| slot

## ◆ setRenegSecondsSet

void connectivityqt::OpenvpnConnection::setRenegSecondsSet | ( | bool | value | ) |
| slot

## ◆ setStaticKey

void connectivityqt::OpenvpnConnection::setStaticKey | ( | const QString & | value | ) |
| slot

## ◆ setStaticKeyDirection

void connectivityqt::OpenvpnConnection::setStaticKeyDirection | ( | KeyDir | value | ) |
| slot

## ◆ setTa

void connectivityqt::OpenvpnConnection::setTa | ( | const QString & | value | ) |
| slot

## ◆ setTaDir

void connectivityqt::OpenvpnConnection::setTaDir | ( | KeyDir | value | ) |
| slot

## ◆ setTaSet

void connectivityqt::OpenvpnConnection::setTaSet | ( | bool | value | ) |
| slot

## ◆ setTlsRemote

void connectivityqt::OpenvpnConnection::setTlsRemote | ( | const QString & | value | ) |
| slot

## ◆ setTunnelMtu

void connectivityqt::OpenvpnConnection::setTunnelMtu | ( | int | value | ) |
| slot

## ◆ setTunnelMtuSet

void connectivityqt::OpenvpnConnection::setTunnelMtuSet | ( | bool | value | ) |
| slot

## ◆ setUsername

void connectivityqt::OpenvpnConnection::setUsername | ( | const QString & | value | ) |
| slot

## ◆ staticKey()

QString connectivityqt::OpenvpnConnection::staticKey | ( |  | ) | const

## ◆ staticKeyChanged

void connectivityqt::OpenvpnConnection::staticKeyChanged | ( | const QString & | value | ) |
| signal

## ◆ staticKeyDirection()

KeyDir connectivityqt::OpenvpnConnection::staticKeyDirection | ( |  | ) | const

## ◆ staticKeyDirectionChanged

void connectivityqt::OpenvpnConnection::staticKeyDirectionChanged | ( | KeyDir | value | ) |
| signal

## ◆ ta()

QString connectivityqt::OpenvpnConnection::ta | ( |  | ) | const

## ◆ taChanged

void connectivityqt::OpenvpnConnection::taChanged | ( | const QString & | value | ) |
| signal

## ◆ taDir()

KeyDir connectivityqt::OpenvpnConnection::taDir | ( |  | ) | const

## ◆ taDirChanged

void connectivityqt::OpenvpnConnection::taDirChanged | ( | KeyDir | value | ) |
| signal

## ◆ taSet()

bool connectivityqt::OpenvpnConnection::taSet | ( |  | ) | const

## ◆ taSetChanged

void connectivityqt::OpenvpnConnection::taSetChanged | ( | bool | value | ) |
| signal

## ◆ tlsRemote()

QString connectivityqt::OpenvpnConnection::tlsRemote | ( |  | ) | const

## ◆ tlsRemoteChanged

void connectivityqt::OpenvpnConnection::tlsRemoteChanged | ( | const QString & | value | ) |
| signal

## ◆ tunnelMtu()

int connectivityqt::OpenvpnConnection::tunnelMtu | ( |  | ) | const

## ◆ tunnelMtuChanged

void connectivityqt::OpenvpnConnection::tunnelMtuChanged | ( | int | value | ) |
| signal

## ◆ tunnelMtuSet()

bool connectivityqt::OpenvpnConnection::tunnelMtuSet | ( |  | ) | const

## ◆ tunnelMtuSetChanged

void connectivityqt::OpenvpnConnection::tunnelMtuSetChanged | ( | bool | value | ) |
| signal

## ◆ type()

VpnConnection::Type connectivityqt::OpenvpnConnection::type | ( |  | ) | const
| overridevirtual

Implements connectivityqt::VpnConnection.

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::OpenvpnConnection::UNITY_DEFINES_PTRS | ( | OpenvpnConnection |  | ) |

## ◆ username()

QString connectivityqt::OpenvpnConnection::username | ( |  | ) | const

## ◆ usernameChanged

void connectivityqt::OpenvpnConnection::usernameChanged | ( | const QString & | value | ) |
| signal

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::OpenvpnConnection::d
| protected

## Property Documentation

## ◆ auth

Auth connectivityqt::OpenvpnConnection::auth
| readwrite

## ◆ ca

QString connectivityqt::OpenvpnConnection::ca
| readwrite

## ◆ cert

QString connectivityqt::OpenvpnConnection::cert
| readwrite

## ◆ certPass

QString connectivityqt::OpenvpnConnection::certPass
| readwrite

## ◆ cipher

Cipher connectivityqt::OpenvpnConnection::cipher
| readwrite

## ◆ compLzo

bool connectivityqt::OpenvpnConnection::compLzo
| readwrite

## ◆ connectionType

ConnectionType connectivityqt::OpenvpnConnection::connectionType
| readwrite

## ◆ dev

QString connectivityqt::OpenvpnConnection::dev
| readwrite

## ◆ devType

DevType connectivityqt::OpenvpnConnection::devType
| readwrite

## ◆ devTypeSet

bool connectivityqt::OpenvpnConnection::devTypeSet
| readwrite

## ◆ fragmentSize

int connectivityqt::OpenvpnConnection::fragmentSize
| readwrite

## ◆ fragmentSizeSet

bool connectivityqt::OpenvpnConnection::fragmentSizeSet
| readwrite

## ◆ key

QString connectivityqt::OpenvpnConnection::key
| readwrite

## ◆ keysize

int connectivityqt::OpenvpnConnection::keysize
| readwrite

## ◆ keysizeSet

bool connectivityqt::OpenvpnConnection::keysizeSet
| readwrite

## ◆ localIp

QString connectivityqt::OpenvpnConnection::localIp
| readwrite

## ◆ mssFix

bool connectivityqt::OpenvpnConnection::mssFix
| readwrite

## ◆ password

QString connectivityqt::OpenvpnConnection::password
| readwrite

## ◆ port

int connectivityqt::OpenvpnConnection::port
| readwrite

## ◆ portSet

bool connectivityqt::OpenvpnConnection::portSet
| readwrite

## ◆ protoTcp

bool connectivityqt::OpenvpnConnection::protoTcp
| readwrite

## ◆ proxyPassword

QString connectivityqt::OpenvpnConnection::proxyPassword
| readwrite

## ◆ proxyPort

int connectivityqt::OpenvpnConnection::proxyPort
| readwrite

## ◆ proxyRetry

bool connectivityqt::OpenvpnConnection::proxyRetry
| readwrite

## ◆ proxyServer

QString connectivityqt::OpenvpnConnection::proxyServer
| readwrite

## ◆ proxyType

ProxyType connectivityqt::OpenvpnConnection::proxyType
| readwrite

## ◆ proxyUsername

QString connectivityqt::OpenvpnConnection::proxyUsername
| readwrite

## ◆ remote

QString connectivityqt::OpenvpnConnection::remote
| readwrite

## ◆ remoteCertTls

TlsType connectivityqt::OpenvpnConnection::remoteCertTls
| readwrite

## ◆ remoteCertTlsSet

bool connectivityqt::OpenvpnConnection::remoteCertTlsSet
| readwrite

## ◆ remoteIp

QString connectivityqt::OpenvpnConnection::remoteIp
| readwrite

## ◆ remoteRandom

bool connectivityqt::OpenvpnConnection::remoteRandom
| readwrite

## ◆ renegSeconds

int connectivityqt::OpenvpnConnection::renegSeconds
| readwrite

## ◆ renegSecondsSet

bool connectivityqt::OpenvpnConnection::renegSecondsSet
| readwrite

## ◆ staticKey

QString connectivityqt::OpenvpnConnection::staticKey
| readwrite

## ◆ staticKeyDirection

KeyDir connectivityqt::OpenvpnConnection::staticKeyDirection
| readwrite

## ◆ ta

QString connectivityqt::OpenvpnConnection::ta
| readwrite

## ◆ taDir

KeyDir connectivityqt::OpenvpnConnection::taDir
| readwrite

## ◆ taSet

bool connectivityqt::OpenvpnConnection::taSet
| readwrite

## ◆ tlsRemote

QString connectivityqt::OpenvpnConnection::tlsRemote
| readwrite

## ◆ tunnelMtu

int connectivityqt::OpenvpnConnection::tunnelMtu
| readwrite

## ◆ tunnelMtuSet

bool connectivityqt::OpenvpnConnection::tunnelMtuSet
| readwrite

## ◆ username

QString connectivityqt::OpenvpnConnection::username
| readwrite

The documentation for this class was generated from the following files:

- connectivityqt/openvpn-connection.h
- connectivityqt/openvpn-connection.cpp